hwy::detail::Relations< int32_t > Struct Reference

`#include <base.h>`

## Public Types

enum | { is_signed = 1 , is_float = 0 }
using | Unsigned = uint32_t
using | Signed = int32_t
using | Float = float
using | Wide = int64_t
using | Narrow = int16_t

## Member Typedef Documentation

## Float

using hwy::detail::Relations< int32_t >::Float = float

## Narrow

using hwy::detail::Relations< int32_t >::Narrow = int16_t

## Signed

using hwy::detail::Relations< int32_t >::Signed = int32_t

## Unsigned

using hwy::detail::Relations< int32_t >::Unsigned = uint32_t

## Wide

using hwy::detail::Relations< int32_t >::Wide = int64_t

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
is_signed |
is_float |

The documentation for this struct was generated from the following file:

- base.h